W(1)

NOM
w - Afficher les utilisateurs présents sur le système et leur activité

SYNOPSIS
w [options] utilisateur [...]

DESCRIPTION
w affiche des informations concernant les utilisateurs qui sont actuellement présents sur le système et leurs processus. L'en-tête affiche, dans cet ordre, l'heure actuelle, depuis combien de temps le système est actif, combien d'utilisateurs sont actuellement présents sur le système et la charge moyenne du système pour la dernière, les 5 et les 15 dernières minutes.

Les entrées suivantes sont affichées pour chacun des utilisateurs : nom d'utilisateur, nom du terminal (« tty »), hôte distant, temps écoulé depuis le début de la connexion, temps d'inactivité, JCPU, PCPU, ainsi que la ligne de commande de leur processus en cours.

Le temps JCPU est le temps utilisé par tous les processus attachés au tty. Il n'inclut pas les travaux terminés qui ont été exécutés en tâche de fond, mais il inclut les travaux en tâche de fond qui sont actuellement actifs.

Le temps PCPU est le temps utilisé par le processus actuel, le nom de ce processus se trouve dans la colonne dont l'intitulé est « WHAT ».

OPTIONS DE LA LIGNE DE COMMANDE

-h, --no-header
    Ne pas afficher l'en-tête

-u, --no-current
    Ignorer le nom d'utilisateur lors de la détermination du nombre de processus et des temps CPU. Pour en voir l'effet, faire « su » puis « w » et « w -u ».

-s, --short
    Utiliser le format court. N'afficher ni le temps de présence ni les temps JCPU et PCPU.

-f, --from
    Alterner entre l'activation et la désactivation de l'affichage du champ « FROM » (nom de l'hôte distant). Le comportement initial par défaut est de ne pas afficher le champ « FROM ». Cependant, une version affichant le champ « FROM » par défaut peut avoir été compilée par l'administrateur système ou les responsables de la distribution.

--help
    Afficher l'aide et quitter.

-i, --ip-addr
    Afficher l'adresse IP au lieu du nom d'hôte pour le champ « FROM ».

-V, --version
    Afficher les informations de version.

-o, --old-style
    Formatage de la sortie selon l'ancien style. Laisser vierges les durées d'inactivité de moins d'une minute.

utilisateur
    N'afficher d'informations que pour l'utilisateur indiqué.

ENVIRONNEMENT

PROCPS_USERLEN
    Remplace la largeur par défaut de la colonne « USER ». La valeur par défaut est de 8.

PROCPS_FROMLEN
    Remplace la largeur par défaut de la colonne « FROM ». La valeur par défaut est de 16.

FICHIERS

/var/run/utmp
    informations concernant les utilisateurs présents sur le système

/proc
    informations concernant les processus

VOIR AUSSI
free(1), ps(1), top(1), uptime(1), utmp(5), who(1)

AUTEURS
w a presque entièrement été réécrit par Charles Blake qui s'est basé sur une version de Larry Greenfield <greenfie@gauss.rutgers.edu> et Michael K. Johnson <johnsonm@redhat.com>.

BOGUES
Signalez les bogues à <procps@freelists.org>